---
apiVersion: v1
kind: ConfigMap
metadata:
  name: region-envfile
  namespace: edoc2
data:
  CACHEMODULE: "redis"
  REGISTERCODE: "taEVVGGti6rN4sFKG2Q2daUUQU6CF4JG"
  REGIONID: "2"
  REGIONURL: "http://172.16.0.50:30179"
  PRIMARYURL: "http://172.16.0.30"
  REGION: "true"
  #产品类型。值为edoc2和InDrive
  PRODUCTION: "edoc2"
  #部署环境传输文本。K8s环境下配置,为k8s的api-server,如：https://192.168.251.90:6443515及以后版本适用
  ContainerContent: "https://192.168.251.252:8443"
  #外部访问地址。系统设置 > 基本设置中配置
  PUBLISH_EXTERNAL_ADDRESS: "http://localhost/"
  #部署环境类型。0:k8s,2:arm515及以后版本适用
  ContainerType: "0"
  #存储平台。0:本地存储,2:ceph存储,3:swift存储,4:OSS存储,5:KS3存储(510及以后版本支持),7:OBS华为云存储8:COS腾讯云存储9:BOS百度云存储,10:minio存储1000:S3兼容存储
  STORAGEPLATFORM: "1000"
  #除本地存储以外,所有对象存储的访问地址,512及以后版本
  S3_Url: "http://minio:9000"
  #ceph存储、OSS存储、KS3存储的访问id,512及以后版本
  S3_AccessKey: "admin"
  #对象存储的访问密钥,512及以后版本
  S3_SecretKey: "root123456"
  #S3对象存储桶，swift存储的容器名,512及以后版本
  S3_Bucket: "edoc2"
  #S3对象签名版本，2或4，默认4，512及以后版本
  S3_SignatureVersion: "4"
  #ceph存储获取空间大小的url
  Ceph_HealthUrl: "S3HealthUrl"
  #OSS存储的云类型。true:私有云,false:公有云
  OSS_ISCNAME: "false"
  #minio存储管理端账号，仅minio存储使用，6300及以后版本
  #S3_MgrAccount: xxxx
  #minio存储管理端密码，仅minio存储使用，6300及以后版本
  #S3_MgrPassword: xxxx
  #本地存储类型STG_MountType有三个值选项，物理机磁盘：STG_MountType=0，NFS：STG_MountType=1, CIFS:STG_MountType=2
  STG_MountType: "0"
  LB_RR: "true"       #EDOC2和transport服务的轮询 false为 hash
  WF: "false"         #开启流程 WF
  CLIENTSYNC: "false" #ECM 客户端同步
  PREVIEWEDIT: "true" #ECM 文档预览服务
  REGIONSYNC: "false" #ECM 分区域同步
